#
#  Example use for Simple CAPTCHA library
# ========================================
# Author: Paul Banks [http://paulbanks.org/contact]
#
#  1) Rename the file, the class name and the urls in the HTML below
#  2) Update YOURSITENAME below
#  3) Copy to controllers directory 
#

import logging

from pylons import request, response

from YOURSITENAME.lib.base import BaseController
import YOURSITENAME.lib.captcha as captcha

log = logging.getLogger(__name__)

class AController(BaseController):

    def index(self):

        id = captcha.GenerateID(); 

        html = """
            <html>
            <head><title>Simple Captcha Demo</title></head>
            <body>
            <h1>Captcha form demonstration</h1>
            <img src="%s" />
            <form action="/a/submit" method="post">
            What is the number: <input type="text" name="fUserField" />
            <input type="hidden" name="fCaptchaH" value="%s" />
            <input type="submit" value="Submit" />
            </form>
            </body>
            </html>
        """ % ("/a/captcha/"+id, id);

        return html

    def captcha(self, id):
        response.content_type  = 'image/png'
        return captcha.GenerateImage(id);

    def submit(self):

        if  captcha.Check(
                request.POST["fUserField"], request.POST["fCaptchaH"])==1:
            return "Number OK"
        else:
            return "Number did not match!"


